Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 2767433002: Start using /list_tests to populate subtest menus in test-picker (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by eakuefner
Modified:
4 months, 1 week ago
Reviewers:
sullivan, shatch
CC:
catapult-reviews_chromium.org, perf-dashboard-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
catapult
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 3

Patch Set 2 : saner approach #

Patch Set 3 : working except for cleanup; need to port tests. #

Patch Set 4 : done #

Total comments: 7

Patch Set 5 : Address Annie's comments #

Total comments: 2

Patch Set 6 : Address Annie's comment #

Patch Set 7 : fix typo #

Unified diffs Side-by-side diffs Delta from patch set Stats (+165 lines, -130 lines) Patch
M dashboard/dashboard/elements/test-picker.html View 1 2 3 4 5 6 10 chunks +118 lines, -114 lines 0 comments Download
M dashboard/dashboard/elements/test-picker-test.html View 1 2 3 4 4 chunks +47 lines, -16 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (11 generated)
eakuefner
Wanted to upload my partial progress here. It almost works. Question: we don't currently have ...
5 months ago (2017-03-20 23:47:11 UTC) #2
sullivan
On 2017/03/20 23:47:11, eakuefner wrote: > Wanted to upload my partial progress here. It almost ...
5 months ago (2017-03-21 13:08:38 UTC) #3
sullivan
Overall this looks good but: * Do you have a plan for testing? * The ...
5 months ago (2017-03-21 13:24:24 UTC) #4
shatch
Not super familiar with js async/await, they look kinda neat though. Remind me of the ...
5 months ago (2017-03-21 17:48:02 UTC) #5
shatch
https://codereview.chromium.org/2767433002/diff/1/dashboard/dashboard/elements/test-picker.html File dashboard/dashboard/elements/test-picker.html (right): https://codereview.chromium.org/2767433002/diff/1/dashboard/dashboard/elements/test-picker.html#newcode303 dashboard/dashboard/elements/test-picker.html:303: updateSubtestMenus: async function(startIndex) { Just for record-keeping since we ...
5 months ago (2017-03-22 17:10:13 UTC) #6
eakuefner
Just to update, I think I've got the basic structure down finally, and I just ...
5 months ago (2017-03-23 22:57:38 UTC) #7
eakuefner
Please take a look. Unfortunately the tests are busted as explained below. https://codereview.chromium.org/2767433002/diff/60001/dashboard/dashboard/elements/test-picker-test.html File dashboard/dashboard/elements/test-picker-test.html ...
4 months, 1 week ago (2017-04-13 23:26:03 UTC) #10
sullivan
lgtm looks good, but have some comments. https://codereview.chromium.org/2767433002/diff/60001/dashboard/dashboard/elements/test-picker-test.html File dashboard/dashboard/elements/test-picker-test.html (right): https://codereview.chromium.org/2767433002/diff/60001/dashboard/dashboard/elements/test-picker-test.html#newcode138 dashboard/dashboard/elements/test-picker-test.html:138: botMenu.selectedItem = ...
4 months, 1 week ago (2017-04-14 00:37:30 UTC) #11
eakuefner
Please take another look. https://codereview.chromium.org/2767433002/diff/60001/dashboard/dashboard/elements/test-picker-test.html File dashboard/dashboard/elements/test-picker-test.html (right): https://codereview.chromium.org/2767433002/diff/60001/dashboard/dashboard/elements/test-picker-test.html#newcode138 dashboard/dashboard/elements/test-picker-test.html:138: botMenu.selectedItem = botMenu.items[1]; On 2017/04/14 ...
4 months, 1 week ago (2017-04-14 17:34:26 UTC) #13
sullivan
lgtm lgtm, but a question about naming below https://codereview.chromium.org/2767433002/diff/80001/dashboard/dashboard/elements/test-picker.html File dashboard/dashboard/elements/test-picker.html (right): https://codereview.chromium.org/2767433002/diff/80001/dashboard/dashboard/elements/test-picker.html#newcode89 dashboard/dashboard/elements/test-picker.html:89: this.subtests_ ...
4 months, 1 week ago (2017-04-14 17:42:17 UTC) #14
eakuefner
https://codereview.chromium.org/2767433002/diff/80001/dashboard/dashboard/elements/test-picker.html File dashboard/dashboard/elements/test-picker.html (right): https://codereview.chromium.org/2767433002/diff/80001/dashboard/dashboard/elements/test-picker.html#newcode89 dashboard/dashboard/elements/test-picker.html:89: this.subtests_ = new Map(); On 2017/04/14 at 17:42:17, sullivan ...
4 months, 1 week ago (2017-04-14 17:44:41 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2767433002/100001
4 months, 1 week ago (2017-04-14 17:46:20 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: Catapult Linux Tryserver on master.tryserver.client.catapult (JOB_FAILED, https://build.chromium.org/p/tryserver.client.catapult/builders/Catapult%20Linux%20Tryserver/builds/7310) Catapult Mac ...
4 months, 1 week ago (2017-04-14 17:49:30 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2767433002/120001
4 months, 1 week ago (2017-04-14 18:04:06 UTC) #23
commit-bot: I haz the power
4 months, 1 week ago (2017-04-14 18:29:45 UTC) #26
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/external/github.com/catapult-project/catapu...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b